Trendyol product sellers
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-trendyol-products-sellers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "689227641"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-trendyol-products-sellers"
payload = { "product": "689227641" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '689227641'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-trendyol-products-sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "trendyol_product_sellers",
"product": "689227641",
"product_id": "689227641",
"human": "# Trendyol product sellers\n\n- **Product:** 689227641\n- **Offers returned:** 4\n- **Proxy traffic:** 997.5 KB",
"machine": {
"total_items": 4,
"first_item": {
"seller_id": "414188",
"seller_name": "GARANTİLİ CEP",
"official_name": "GARANTİLİ TEKNOLOJİ İLETİŞİM HİZMETLERİ ANONİM ŞİRKETİ",
"city": "İSTANBUL",
"rating": 7.7,
"image": "https://cdn.dsmcdn.com/seller-store/uploads/414188/92b8d85f-4831-4e55-90d4-ec7a0ca8e134.jpeg",
"price": 17954.05,
"list_price": 17954.05,
"discount_percentage": 5,
"currency": "TRY",
"is_in_stock": true,
"is_winner": true,
"has_free_cargo": true,
"has_corporate_invoice": true,
"fulfilment_type": "mp",
"listing_id": "626fcea1954f7814d107fb409dbc9e6e",
"url": "https://www.trendyol.com/apple/yenilenmis-iphone-12-64-gb-beyaz-cep-telefonu-12-ay-garantili-a-kalite-p-689227641?boutiqueId=61&merchantId=414188"
},
"items": [
{
"seller_id": "414188",
"seller_name": "GARANTİLİ CEP",
"official_name": "GARANTİLİ TEKNOLOJİ İLETİŞİM HİZMETLERİ ANONİM ŞİRKETİ",
"city": "İSTANBUL",
"rating": 7.7,
"image": "https://cdn.dsmcdn.com/seller-store/uploads/414188/92b8d85f-4831-4e55-90d4-ec7a0ca8e134.jpeg",
"price": 17954.05,
"list_price": 17954.05,
"discount_percentage": 5,
"currency": "TRY",
"is_in_stock": true,
"is_winner": true,
"has_free_cargo": true,
"has_corporate_invoice": true,
"fulfilment_type": "mp",
"listing_id": "626fcea1954f7814d107fb409dbc9e6e",
"url": "https://www.trendyol.com/apple/yenilenmis-iphone-12-64-gb-beyaz-cep-telefonu-12-ay-garantili-a-kalite-p-689227641?boutiqueId=61&merchantId=414188"
},
{
"seller_id": "226317",
"seller_name": "HB BİLİŞİM",
"official_name": null,
"city": null,
"rating": 8.3,
"image": null,
"price": 18096.55,
"list_price": 18096.55,
"discount_percentage": 5,
"currency": "TRY",
"is_in_stock": true,
"is_winner": false,
"has_free_cargo": true,
"has_corporate_invoice": true,
"fulfilment_type": "mp",
"listing_id": "98196de23b7397547ddaf752ea021109",
"url": "https://www.trendyol.com/apple/yenilenmis-iphone-12-64-gb-beyaz-cep-telefonu-12-ay-garantili-a-kalite-p-689227641?boutiqueId=61&merchantId=226317"
}
],
"proxy_traffic_bytes": 1021474
},
"total_points": 5
}E-commerce & Marketplaces
Trendyol product sellers
All sellers offering a Trendyol product by contentId or URL, for price comparison: price, score, stock, free shipping and which offer is featured. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-trendyol-products-sellers
Trendyol product sellers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Product ID or URL. e.g. 689227641
Response
Run completed.